<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>CSS Introduction</title>
	<!-- External CSS
	link tag is used to link external resources such as css, or even fonts -->
	<!-- external css is the best implementation of css, because not only can we style multiple elements in page, we can also style multiple elements in multiple pages. It lessens load time for your HTML and its content. -->
	<link rel="stylesheet"  type="text/css" href="./style.css">
	<!-- Internal CSS
		We can apply style to multiple element in a single page
		It makes your code and html take longer to display.
	 -->
	 <!-- <style type="text/css">
	 	p {
	 		color: red;
	 	}
	 </style>
	  -->
</head>
<body>
	<!-- Inline CSS Styling
	Inline stying is the implementation of style to an element through the style attribute.

	Values of style attribute are the design properties of an element we can style. The value before the colon  (:) is the elements property. The property's values is added after the colon

	Syntax: 
	<tag style="property:value;">text</tag>

	CSS stylings or rules end in a semi-solon. Failing to do so makes your CSS erroneous and even affects other properties and rules you may add. -->

	<!-- <h1 style="color:gray; font-size: 50px; background-color: black; text-align: center;">Welcome to the World of CSS</h1> -->
	
	<!-- <h1 style="color: yellow">Welcome to the World of CSS!</h1>

	<p id="para">Lorem ipsum, dolor sit amet consectetur, adipisicing elit. Eligendi quidem enim natus vero similique, beatae doloribus aliquid, sit debitis. Porro!</p> -->
	<!-- navbar -->
	<nav>
			
		
			<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>
	<!-- end of navbar -->
	<h1>Hello World</h1>
	<section id="landing">
	<h2>Welcome to Zuitt</h2>
	<!-- id attribute allows us to add a unique identifier to particular element. 
	-->
	<!-- class attribute  allows us to group elements and style them together. Meaning any element with the same class can be styled and designed together. We can create our own classes. -->

	<!-- Inline CSS > Internal CSS > External CSS 
	
		!importan adds more priority to a declaration
	-->
	
	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	<img src="https://place-puppy.com/450x450" alt="pup">
		<ol id="bootcamp-learning-list">
			
			<li id="sample1">Day Classes</li>
			<li id="sample1">Night Classes</li>
			<li id="sample1">Intro to Coding Events</li>
		</ol>
		<a href="#top">Back to Top</a>
	</section>
	
	<section id="register">
	<h2>Register</h2>
	<form action="" id="input">
		<label for="first-name">First Name:</label>
		<input type="text" id="first-name" required autocomplete>
		<label for="last-name">Last Name:</label>
		<input type="text" id="last-name" required autocomplete>
		<label for="email">Email:</label>
		<input type="email" id="email" required autocomplete>
		<label for="ageInput">Age:</label>
		<input type="number" id="ageInput" min="1"  oninput="validity.valid||(value='');">
		<button type="submit">Apply Now!</button>
	</form>
	<a href="#top">Back to Top</a>
	</section>
	
</body>

</html>